Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class ListModifiedEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event
              org.jboss.cache.pojo.notification.event.ListModifiedEvent

All Implemented Interfaces:
  Serializable

    public final class ListModifiedEvent

extends Event

A notification that indicates an attached List was modified.

Author:
  Jason T. Greene
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ListModifiedEvent.Operation`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListModifiedEvent(NotificationContext context, List source, ListModifiedEvent.Operation operation, int index, Object value, boolean local)`

Method Summary
`int` | `getIndex()` Gets the index of the change.
`ListModifiedEvent.Operation` | `getOperation()` Gets the operation of this change.
`List` | `getSource()`
`Object` | `getValue()` Gets the new value for this change.

Methods inherited from class org.jboss.cache.pojo.notification.event.Event
`getContext, isLocal`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListModifiedEvent

    public ListModifiedEvent(NotificationContext context,
                             List source,
                             ListModifiedEvent.Operation operation,
                             int index,
                             Object value,
                             boolean local)

Method Detail

### getIndex

    public int getIndex()

  Gets the index of the change. For an add operation this may be equal to the current size (append).

  Returns:
    the index of this change

### getValue

    public Object getValue()

  Gets the new value for this change. Returns null on a remove operation.

  Returns:
    the new value, or null if remove

### getOperation

    public ListModifiedEvent.Operation getOperation()

  Gets the operation of this change.

  Returns:
    the operation.

### getSource

    public List getSource()

  Overrides:
    `getSource` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.